import request from '@/utils/request'

// 查询疫情登记问题列表
export function listQuestion(query) {
  return request({
    url: '/yiqing/question/list',
    method: 'get',
    params: query
  })
}

// 查询疫情登记问题详细
export function getQuestion(id) {
  return request({
    url: '/yiqing/question/' + id,
    method: 'get'
  })
}

// 新增疫情登记问题
export function addQuestion(data) {
  return request({
    url: '/yiqing/question',
    method: 'post',
    data: data
  })
}

// 修改疫情登记问题
export function updateQuestion(data) {
  return request({
    url: '/yiqing/question',
    method: 'put',
    data: data
  })
}

// 删除疫情登记问题
export function delQuestion(id) {
  return request({
    url: '/yiqing/question/' + id,
    method: 'delete'
  })
}

// 导出疫情登记问题
export function exportQuestion(query) {
  return request({
    url: '/yiqing/question/export',
    method: 'get',
    params: query
  })
}